Skip to main content
POST
/
v1
/
listings
/
featured
POST /v1/listings/featured
curl --request POST \
  --url https://api.example.com/v1/listings/featured \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "<string>",
  "officeId": "<string>",
  "limit": 123,
  "page": 123
}
'
Returns the brokerage’s featured/promoted listings. These are listings the agent has manually promoted in their IDX Broker dashboard.

Request

curl -X POST \
  "https://dqgynnlsclfbqysauesf.supabase.co/functions/v1/api-router/v1/listings/featured" \
  -H "Content-Type: application/json" \
  -H "X-ARIS-API-Key: aris_yourkey" \
  -d '{"limit": 10, "page": 1}'

Body parameters

agentId
string
Filter to a specific agent’s listings.
officeId
string
Filter to a specific office’s listings.
limit
integer
default:"10"
Results per page.
page
integer
default:"1"
Page number.

Response

{
  "data": [
    {
      "listingId": "b67890",
      "address": "456 Oak Ave, Austin, TX 78704",
      "price": "675000",
      "beds": 4,
      "baths": 3,
      "sqft": "2400",
      "photos": ["https://..."],
      "daysOnMarket": 7
    }
  ],
  "total": 12,
  "page": 1,
  "limit": 10,
  "hasMore": true
}